Subject: Re: [RFC PATCH net-next 5/5] selftests: sch_tbf_core: Use defer for stopping traffic

From: Petr Machata <[email-masked]>
Date: Mon, 26 Aug 2024 16:31:59 +0200

Ido Schimmel <[email-masked]> writes:

> On Thu, Aug 22, 2024 at 03:49:44PM +0200, Petr Machata wrote:
>> Tests interrupted part-way through leave behind a running mausezahn. Use
>> defer to schedule a traffic stop after traffic is started.
>
> Any reason not to convert the setup part to the defer mechanism as well?

No. I wanted to see if it makes sense to have an entire test use the
defer mechanism, in addition to cleanups specific to individual tests.
But I wasn't sure what people would think, so just converted the RED
tests as a sort of a demo.